Name: diablo
Version: 1.23_REL
Release: 1
Summary: An extremely efficient backbone news transit system.
Copyright: Redistributable
Group: System Environment/Daemons
Source: http://apollo.backplane.com/diablo/diablo-1.23-REL.tgz
URL: http://apollo.backplane.com/diablo/
BuildRoot: /tmp/%{name}-%{version}
Prereq: xmake

%changelog
* Fri Apr 23 1999 Bill Nottingham <notting@redhat.com>
- package for powertools

* Tue Nov 3 1998  Ian Macdonald <ianmacd@xs4all.nl>
- first RPM release

%description
Diablo is a backbone news transit system, designed to replace INND on
backbone machines.  The transit portion of Diablo is well-established
and should work flawlessly; if you have a dedicated newsfeed machine
which does feeds, feed and nothing but feeds, Diablo may be for you.
You can't run the transit server portion of Diablo on a machine which
needs to accept NNTP post commands or newsreading-related NNTP commands
and you can't point your NNTP sever at a host running the transit portion
of Diablo.

%prep
%setup -n diablo-1.23-REL

%build
xmake clean
xmake

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/man{5,8}
mkdir -p $RPM_BUILD_ROOT/news/{adm,samples/adm,dbin,spool/{news,cache,group,postq},dqueue}
chown -R news.news $RPM_BUILD_ROOT/news
for i in dbin/* samples/* samples/*/*
  do
  [ -f $i ] && install -m 444 -o news -g news $i $RPM_BUILD_ROOT/news/$i
  if [ -x $i -a ! -d $i ]; then
    echo $i | grep dbin && strip $RPM_BUILD_ROOT/news/$i
    chmod 755 $RPM_BUILD_ROOT/news/$i
  fi
done
for i in adm/weekly.reader adm/biweekly.atrim adm/crontab.sample \
         adm/daily.atrim adm/daily.reader adm/hourly.expire adm/quadhr.expire \
         adm/rot adm/daily.dclean dactive.kp dcontrol.ctl dexpire.ctl \
         diablo.config diablo.hosts dnewsfeeds dnntpspool.ctl dreader.hosts \
         dserver.hosts moderators pgp-sample rc.news distrib.pats
  do [ ! -f $RPM_BUILD_ROOT/news/$i ] \
       && ln -s /news/samples/$i $RPM_BUILD_ROOT/news/$i
done
for i in man/*
  do install -m 644 $i $RPM_BUILD_ROOT/usr/man/man${i##*.}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc COPYRIGHT INSTALL README.READER README.SERVER RELEASE_NOTES TUNING_NOTES
%dir /news
/news/*
/usr/man/man5/*
/usr/man/man8/*
